<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Enviar Preguntas</title>
    <!-- Enlace a Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap" rel="stylesheet">
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        .header img {
            max-width: 295px; /* Ajusta el tamaño del logo */
            margin-bottom: 10px;
        }
        h1 {
            font-family: 'Poppins', sans-serif; /* Usar la fuente de Google */
            font-weight: bold; /* Negrita */
            margin: 0;
        }
        h3 {
            font-family: 'Poppins', sans-serif; /* Usar la fuente de Google */
            font-weight: bold; /* Negrita */
            margin: 5px 0 20px; /* Añadir margen para separar el subtítulo del contenido */
        }
        .formulario {
            max-width: 600px;
            margin: 0 auto;
            background-color: white;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        }
        .form-group {
            margin-bottom: 20px; /* Aumentar el margen entre los grupos de formulario */
        }
        .form-group label {
            display: block;
            margin-bottom: 5px;
        }
        .form-group input, .form-group textarea {
            width: calc(100% - 20px); /* Restar padding para evitar el desbordamiento */
            padding: 10px; /* Aumentar el padding para más espacio interno */
            border: 1px solid #ddd;
            border-radius: 4px;
            box-sizing: border-box; /* Asegura que el padding no afecte el ancho total */
        }
        .form-group textarea {
            resize: vertical; /* Permitir solo redimensionar verticalmente */
        }
        .btn-submit {
            background-color: #2196F3;
            color: white;
            border: none;
            padding: 10px 15px;
            border-radius: 4px;
            cursor: pointer;
            font-size: 1rem;
            display: block; /* Hacer que el botón ocupe toda la línea */
            width: 100%; /* Hacer que el botón tenga un ancho completo */
        }
        .btn-submit:hover {
            background-color: #1976D2;
        }
        .footer {
            text-align: center;
            margin-top: 20px;
            font-size: 0.8rem; /* Tamaño de fuente pequeño */
            color: #555; /* Color gris para el texto */
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="logo.png" alt="Logo de la Empresa"> 
        <h1>Panel Reforma del Código Laboral</h1>
        <h3>Jueves 26 de sept, 2024</h3>
    </div>
   
    <div class="formulario">
        <form action="guardar_pregunta.php" method="POST">
            <div class="form-group">
                <label for="nombre">Nombre completo:</label>
                <input type="text" id="nombre" name="nombre" required>
            </div>
            <div class="form-group">
                <label for="email">Email:</label>
                <input type="text" id="email" name="email" required>
            </div>
            <div class="form-group">
                <label for="pregunta">Pregunta:</label>
                <textarea id="pregunta" name="pregunta" rows="4" maxlength="1000" required></textarea>
                <small>Máximo 1000 caracteres.</small>
            </div>
            <button type="submit" class="btn-submit">Enviar Pregunta</button>
        </form>
    </div>
    <footer class="footer">
        Copyright ANEIH 2024<br>
        Av. Tiradentes 14, Edif. Alfonso Comercial, 7mo piso, Ens. Naco, Santo Domingo 10119<br>
        Teléfono (809) 560-2160
    </footer>
</body>
</html>
