<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obtener y sanitizar los datos del formulario
    $nombre = trim($_POST['nombre']);
    $email = trim($_POST['email']);
    $pregunta = trim($_POST['pregunta']);

    // Validar y sanitizar los datos
    if (empty($nombre) || empty($email) || empty($pregunta)) {
        die('Por favor, complete todos los campos.');
    }

    // Escapar caracteres especiales para evitar inyecciones
    $nombre = filter_var($nombre, FILTER_SANITIZE_STRING);
    $email = filter_var($email, FILTER_SANITIZE_STRING);
    $pregunta = filter_var($pregunta, FILTER_SANITIZE_STRING);

    // Reemplazar saltos de línea con espacio
    $pregunta = str_replace(array("\r\n", "\n", "\r"), ' ', $pregunta);

    // Verificar si la pregunta ya existe en el archivo
    $preguntasGuardadas = file_get_contents('preguntas.txt');
    if (strpos($preguntasGuardadas, $pregunta) !== false) {
        die('La pregunta ya ha sido enviada.');
    }

    // Guardar la pregunta en el archivo
    $contenido = "Nombre: $nombre\nEmail: $email\nPregunta: $pregunta\nEstado: Pendiente\n\n";
    file_put_contents('preguntas.txt', $contenido, FILE_APPEND);

    // Redirigir de vuelta al formulario después de guardar
    header('Location: ok.php'); // Cambia esto a la ruta de tu formulario si es necesario
    exit();
}
?>
